Packages - Housekeeping #2134

arch linux module packages incompatible with linux-libre
2019-01-09 11:58 PM - dllud

Status: in progress % Done: 90%
Priority: bug

Assignee: oaken-source

Category:

Description

wireguard-arch and wireguard-Its are two packages currently available on the community repo that pack the wireguard module built
for Arch's current and lts kernels. These packages do not work with Parabola's linux-libre kernel (the kernel versions are usually
different, and the modules must be placed in different directories).

These two packages should be removed and later replaced by packages built for linux-libre and linux-libre-lts. Meanwhile we can still
use the wireguard-dkms package.

Related issues:
Related to Packages - Bug #2658: incompatible gcc/plugin versions unconfirmed

History

#1 - 2020-01-31 06:26 AM - bill-auger
- Priority changed from bug to freedom issue
- Status changed from open to confirmed

- Subject changed from [wireguard-arch] and [wireguard-Its] need replacement with modules built for linux-libre to arch linux module packages
incompatible with linux-libre

- Tracker changed from Bug to Freedom Issue

there are other packages which depend on 'linux' - i made an initial list from an arch box - some of them may be on the blacklist, have libre
replacements, or can work as-is with linux-libre - those have not been filtered from these lists

$ pacman -Sii linux | grep Required | cut -d ':' -f 2 | sed 's| I\nlg"'
acpi_call

archboot

bbswitch

broadcom-wl
deepin-anything-arch
ndiswrapper—arch

nvidia

nvidia-340xx

nvidia-390xx

r8168

tp_smapi

vhba-module
virtualbox—-guest-modules—arch
virtualbox-host-modules—-arch
wireguard-arch

$ pacman -Sii linux-hardened | grep Required | cut -d ':' -f 2 | sed 's| I\nlg"'
usbctl
$ pacman -Sii linux-lts | grep Required | cut -d ':' -f 2 | sed 's| I\nlg"'

acpi_call-1lts
nvidia-340xx-1ts
nvidia-390xx-1ts
nvidia-1lts
r8l168-1ts
tp_smapi-lts
wireguard-1lts

$ pacman -Sii linux-zen | grep Required | cut -d ':' -f 2 | sed 's| I\nlg"'
None

#2 - 2020-01-31 10:37 AM - oaken-source
- % Done changed from 0 to 30
- Priority changed from freedom issue to bug

- Assignee set to oaken-source

- Status changed from confirmed to in progress

- Tracker changed from Freedom Issue to Housekeeping

package status
acpi—ecalt already packaged
archbeet blacklisted
bbswitch already packaged
breadeom-wi blacklisted
deepin-anything-areh done, renamed to ndiswrapper-module
ndiswrapper-arch done, renamed to ndiswrapper-module
Avidia blacklisted
nvidia-340xx does not exist? what repo?
Avidia-390xx blacklisted
8168 blacklisted
p—smapt already packaged
vhba-medule already packaged
virtualbox-guest-modules-arch blacklisted
virtualbex-hest-modules-arch blacklisted
wireguard-arch done, renamed to wireguard
usbctl pkgbuild looks ok, probably needs a testrun.
aepi—eall-is already packaged
nvidia-340xx-Its does not exist? what repo?
Avidia-390xx-ts already blacklisted
nvidia-lts already blacklisted
8168-ts already blacklisted
tp—smapi-ts already packaged
wireguard-lis done

#3 - 2020-01-31 02:12 PM - oaken-source
- % Done changed from 30 to 90

#4 - 2020-03-22 02:14 PM - bill-auger

- Related to Bug #2658: incompatible gcc/plugin versions added
